Bug 1130861 - Fedora package of Giada is 9 releases behind
Summary: Fedora package of Giada is 9 releases behind
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: giada
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brendan Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-18 04:55 UTC by Aaron Schlaegel
Modified: 2015-06-29 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:07:07 UTC


Attachments (Terms of Use)

Description Aaron Schlaegel 2014-08-18 04:55:44 UTC
Fedora is still at 0.7.0, but there have been nine releases since 0.7.0.

The current release 0.9.0 is at http://www.giadamusic.com/download/grab/source

See the changelog in github to see the releases:

https://raw.githubusercontent.com/monocasual/giada/master/ChangeLog

0.9.0 --- 2014 . 08 . 18
- New full-screen GUI
- Multi-column support
- Advanced logging system
- Upgrade to RtAudio 4.1.1 and RtMidi 2.1.0
- Removed embedded RtAudio (thanks to Arty)
- Fix wrong processing of VST MIDI events on 64 bit version
- Fix stretched buttons when resizing sample editor window
- "Clear all samples" destroys channels (fixed)
- "Free channel" messes up loop / mute buttons (fixes)
- Fix potential recordings with odd frames



0.8.4 --- 2014 . 03 . 27
- New mode 'Loop Bar Once'
- Several small improvements and cleanups to internal utils functions
- Fixed missing title in several subwindows
- (win) Fix runtime error when loading a new project
- Fix chan reset when clicking on waveform
- Properly close subwindows after a channel has been deleted
- Fix 'reload' button not working for samples with updated names


0.8.3 --- 2014 . 02 . 14
- Experimental MIDI timing output with MTC and MIDI clock
- Expose Sequencer x2 and /2 via MIDI
- New pitch operators x2 and /2
- Internal xfade process restored
- "set key..." becomes "setup keyboard input" for sample channels
- MIDI events are now saved as unsigned int in patch
- Same expression on both sides of '|' in recorder.cpp (fixed)
- Muted channels leak some glitches on 'kill' event (fixed)
- Piano roll can't be edited anymore if beats == 32 (fixed)
- Noise when adding new MIDI channel (fixed)
- Boost and Normalize not working (fixed)
- Multiple copies of every file used by the patch (fixed)
- Samples with -1, -2, ... -n suffix are not included in patch (fixed)
- Segfaults when quantizing samples (fixed)


0.8.2 --- 2014 . 01 . 13
- Pitch control exposed via MIDI
- New tools in Sample Editor (linear fade in/out, smooth edges)
- Implemented vstEvent->deltaFrames, gaining more precision with vst
	MIDI events
- Add Fl::lock/Fl::unlock dynamics to glue_ calls where needed
- Avoid pitch sliding when changing pitch of a sample in status OFF
- Update copyright info in source files
- Internal fade in and fade out restored
- Add 'Giada' keyword to desktop file
- Fix annoying glitches when playing very short samples
- Fix random crashes when controlling giada via MIDI
- Fix missing MIDI mapping for read-actions button


0.8.1 --- 2013 . 12 . 09
- New, high-quality pitch control based on libsamplerate
- New set of functions 'spread sample to beat/song'
[known issues]
- Internal crossfades have been temporarily disabled. Some clicks may
	occur


0.8.0 --- 2013 . 11 . 03
- Initial MIDI input support
- Fix freeze when recording audio inputs on a second channel
- Fix 'R' button to show up even if the channel has no actions
- Fix weird drawings of keypress actions in action editor
- Free channel: delete 'R' button as well
- Shift+key does not kill loop mode channels in a wait status
- Fix issue with 'R' button and newly added actions
- Remove "left"/"right" labels from main buttons


0.7.3 --- 2013 . 09 . 14
- Experimental 64 bit compilation (Linux only)
- Massive internal cleanup of channel/gui channel layers
- Set default mode to full volume on sample load
- Set default mode to oneshot basic
- Faster drawings in piano roll
- Visual aids in piano roll
- Scroll to pointer in piano roll
- Several minor improvements in piano roll's usability
- Revised VST Carbon window popup system
- Minor improvements in startInputRec/stopInputRec procedure
- Fix compile error using local type Plugin* in Channel's constructor
- Fix segfault in OSX when working with VST windows


0.7.2 --- 2013 . 07 . 27
- Initial MIDI output support
- Mute now affects channels with VSTi signals
- Lots of deb package improvements
- Complete rewrite of VST GUI part on OS X
- Don't send MIDI mute on sample channels
- Send MIDI mute for MIDI channels in play mode
- Fix wrong looping due to VST processing in mixer::masterPlay
- Fix jack crashes when using Giada with ALSA
- Fix VST random crashes on OSX, bus error
- Fix input device set to -1 after a system change


0.7.1 --- 2013 . 06 . 27
- Initial Jack Transport support
- Send global note off when sequencer is being stopped
- Send note off when deleting notes in Piano Roll
- Store position and size of Piano Roll in conf file
- Avoid overlap MIDI notes in Piano Roll
- MIDI channel refactoring
- MIDI channels now behave like loop-mode ones
- Fix graphical bugs in Action Editor, sample mode
- Fix refresh issue in Piano Roll when deleting items
- Lots of invisible cleanups and improvements

Comment 1 Fedora End Of Life 2015-05-29 12:39:43 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 22:07:07 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.